# -*- coding: utf-8 -*-

from django.contrib import admin

from mch.models import BrandInfo, DistributorInfo, ModelImageInfo, ModelInfo


class BrandInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'brand_name', 'brand_descr', 'brand_logo', 'position', 'status', 'created_at', 'updated_at')


class ModelInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'model_id', 'model_name', 'model_descr', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('brand_id', 'status')


class ModelImageInfoAdmin(admin.ModelAdmin):
    list_display = ('model_id', 'image', 'url', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('model_id', 'status')


class DistributorInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'distributor_id', 'distributor_name', 'distributor_descr', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('brand_id', 'status')


admin.site.register(BrandInfo, BrandInfoAdmin)
admin.site.register(ModelInfo, ModelInfoAdmin)
admin.site.register(ModelImageInfo, ModelImageInfoAdmin)
admin.site.register(DistributorInfo, DistributorInfoAdmin)
